utl::common_impl::__common_reference2< T, U, meta::void_t< __basic_common_reference_t< T, U > > > Struct Template Reference

`#include <stl.h>`

## Public Types

using | type = __basic_common_reference_t< T, U >

## Detailed Description

### template<class T, class U>
struct utl::common_impl::__common_reference2< T, U, meta::void_t< __basic_common_reference_t< T, U > > >

Definition at line 253 of file stl.h.

## Member Typedef Documentation

## type

template<class T , class U >

using utl::common_impl::__common_reference2< T, U, meta::void_t< __basic_common_reference_t< T, U > > >::type = __basic_common_reference_t<T, U>

Definition at line 255 of file stl.h.

The documentation for this struct was generated from the following file:

- include/utl/concepts/stl.h